program main
  use sep
  use wei_hessian_off2ang2d_mod2

  implicit none

  integer :: stat

  call sep_init(SOURCE)
  call getch_add_string("head=/dev/null")
  call getch_add_string("noheader=y")
  call set_no_putch()
  call sep_begin_prog()

  stat = wei_hessian_off2ang2d_init()

  stat = wei_hessian_off2ang2d_oper()

  stat = wei_hessian_off2ang2d_clos()

  call sep_end_prog()
  call exit()

end program
